module SimpleCrop

using Persefone: AbstractFarmPlot, SimulationModel, initfields_fill_with!
import Persefone: stepagent!

mutable struct FarmPlot <: AbstractFarmPlot
    const id::Int64
    pixels::Vector{Tuple{Int64, Int64}}
end

"""
    stepagent!(farmplot, model)

Update a farm plot by one day.
"""
function stepagent!(farmplot::FarmPlot, model::SimulationModel)
    # TODO: do something simple
end

"""
    initfields!(model)

Initialise the model with its farm plots.
"""
function initfields!(model::SimulationModel)
    initfields_fill_with!(model) do model, x, y
        FarmPlot(length(model.farmplots) + 1, [(x,y)])
    end
end

end # module SimpleCrop
