### Persefone.jl - a model of agricultural landscapes and ecosystems in Europe.
###
### These are the tests for the crop growth models.
###

const TESTPARAM_ALMASS = joinpath(pkgdir(Persefone), "test", "test_parameters_almass.toml")
const TESTPARAM_SIMPLECROP = joinpath(pkgdir(Persefone), "test", "test_parameters_simplecrop.toml")

@testset "Model initialisation" begin
    for paramfile in (TESTPARAM_ALMASS, TESTPARAM_SIMPLECROP)
        model = initialise(paramfile)
        @test model isa AgricultureModel
    end
end
